> ## Documentation Index
> Fetch the complete documentation index at: https://developer.valuechecker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Report for a Single Appraisal or an Entire Claim



## OpenAPI

````yaml post /client_reference/{client_reference_id}/report/pdf
openapi: 3.0.0
info:
  title: ValueChecker API
  description: The ValueChecker Application Programming Interface.
  version: 0.150.1
  x-logo:
    url: >-
      https://files.valuechecker.net/images/default-category-images/Value-Checker_top_bar_logo.png
    backgroundColor: '#FFFFFF'
    altText: ValueChecker logo
  contact:
    name: Contact
    url: https://www.valuechecker.net/contact/
    email: support@valuechecker.net
servers:
  - url: https://api.valuechecker.net/
    description: ValueChecker API URL.
security:
  - apiKey: []
tags:
  - name: default
externalDocs:
  description: PDF Documentation (official)
  url: https://www.valuechecker.net/docs/api/pdf
paths:
  /client_reference/{client_reference_id}/report/pdf:
    post:
      tags:
        - default
      summary: Create a Report for a Single Appraisal or an Entire Claim
      parameters:
        - $ref: '#/components/parameters/client_reference_id'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                language:
                  type: string
                client_id:
                  type: integer
                  description: >-
                    The client ID for the request. It's required if you have
                    access to multiple clients with your API key. Otherwise,
                    it's optional.
                session-id:
                  type: string
                  description: Optional session identifier of the user.
                appraisal_ids:
                  type: array
                  items:
                    type: integer
                  description: >-
                    Optional list of appraisal_ids. If its not provided, Report
                    will be generated for all appraisals in the claim. If
                    provided, Report will be generated only for the provided
                    appraisal_ids.
              example:
                language: en
                client_id: 10
                appraisal_ids:
                  - 715628
                  - 715629
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Wed, 26 Jul 2023 15:15:20 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Content-Length:
              schema:
                type: integer
                example: '106'
            Connection:
              schema:
                type: string
                example: keep-alive
            x-request-id:
              schema:
                type: string
                example: aab7f42d-1dae-4bc7-8c2d-3f14f8d60b64
          content:
            application/json:
              schema:
                type: string
              example: >-
                https://files.valuechecker.net/reports/ValueChecker Claim Report
                - james bond - 2023-7-26 1583693-11.pdf
        '401':
          $ref: '#/components/responses/401'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  event_code:
                    type: string
                  event_dict:
                    type: object
                    properties:
                      event_severity:
                        type: string
                      title:
                        type: string
                      description:
                        type: string
              example:
                error: Client reference 14418 was not found
                event_code: ERNF00
                event_dict:
                  event_severity: ERROR
                  title: Wrong 'client_reference_id' value
                  description: The client_reference_id '14418' was not found
components:
  parameters:
    client_reference_id:
      name: client_reference_id
      in: path
      schema:
        type: integer
      required: true
      description: The client reference identifier.
      example: '9337'
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              event_code:
                type: string
              event_dict:
                type: object
                properties:
                  event_severity:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
          example:
            error: Invalid Authorization header
            event_code: ERIT00
            event_dict:
              event_severity: ERROR
              title: Invalid Authorization header
              description: Please provide the right authorization token
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Note! Prefix your <api-key> with `apiKey `. Note the space after "apiKey
        ".

````